# Uses of Interface
org.bukkit.entity.Creeper

Packages that use Creeper
Package
Description
com.destroystokyo.paper.entity.ai
com.destroystokyo.paper.event.entity
org.bukkit.event.entity
`Events` relating to `entities`, excluding some directly referencing some more specific entity types.

## Uses of Creeper in com.destroystokyo.paper.entity.ai

Fields in com.destroystokyo.paper.entity.ai with type parameters of type Creeper
Modifier and Type
Field
Description
`static final GoalKey<Creeper>`
VanillaGoal.`SWELL`

## Uses of Creeper in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return Creeper
Modifier and Type
Method
Description
`@NotNull Creeper`
CreeperIgniteEvent.`getEntity()`
Constructors in com.destroystokyo.paper.event.entity with parameters of type Creeper
Modifier
Constructor
Description
``
`CreeperIgniteEvent(@NotNull Creeper creeper, boolean ignited)`

## Uses of Creeper in org.bukkit.event.entity

Methods in org.bukkit.event.entity that return Creeper
Modifier and Type
Method
Description
`@NotNull Creeper`
CreeperPowerEvent.`getEntity()`
Constructors in org.bukkit.event.entity with parameters of type Creeper
Modifier
Constructor
Description
``
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull LightningStrike bolt, @NotNull CreeperPowerEvent.PowerCause cause)`
``
`CreeperPowerEvent(@NotNull Creeper creeper, @NotNull CreeperPowerEvent.PowerCause cause)`